
%global meadversion 3.0.19
%global namedversion 3.0.19.SP4-redhat-1
%global meadalpha .SP4_redhat_1
%global meadrel .1
%global serial 6
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}resteasy}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.19.SP4-redhat-1

Name:           %{?scl_prefix}resteasy
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RESTEasy JAX-RS implementation
Group:          Development/Java

%if %with mead
Source100: resteasy-pom-3.0.19.SP4-redhat-1-scm-sources.zip
Source102: resteasy-jsapi-3.0.19.SP4-redhat-1-sources.jar
Source103: resteasy-jsapi-3.0.19.SP4-redhat-1.jar
Source104: resteasy-jsapi-3.0.19.SP4-redhat-1.pom
Source105: tjws-3.0.19.SP4-redhat-1.pom
Source106: tjws-3.0.19.SP4-redhat-1-sources.jar
Source107: tjws-3.0.19.SP4-redhat-1.jar
Source108: resteasy-validator-provider-11-3.0.19.SP4-redhat-1.jar
Source109: resteasy-validator-provider-11-3.0.19.SP4-redhat-1.pom
Source110: resteasy-validator-provider-11-3.0.19.SP4-redhat-1-sources.jar
Source111: resteasy-wadl-3.0.19.SP4-redhat-1.pom
Source112: resteasy-wadl-3.0.19.SP4-redhat-1.jar
Source113: resteasy-wadl-3.0.19.SP4-redhat-1-sources.jar
Source114: resteasy-netty4-3.0.19.SP4-redhat-1-sources.jar
Source115: resteasy-netty4-3.0.19.SP4-redhat-1.jar
Source116: resteasy-netty4-3.0.19.SP4-redhat-1.pom
Source117: resteasy-jaxb-provider-3.0.19.SP4-redhat-1.jar
Source118: resteasy-jaxb-provider-3.0.19.SP4-redhat-1-sources.jar
Source119: resteasy-jaxb-provider-3.0.19.SP4-redhat-1.pom
Source120: jose-jwt-3.0.19.SP4-redhat-1-sources.jar
Source121: jose-jwt-3.0.19.SP4-redhat-1.jar
Source122: jose-jwt-3.0.19.SP4-redhat-1.pom
Source123: resteasy-jaxrs-testsuite-3.0.19.SP4-redhat-1.pom
Source124: resteasy-jaxrs-testsuite-3.0.19.SP4-redhat-1-sources.jar
Source125: resteasy-jaxrs-testsuite-3.0.19.SP4-redhat-1.jar
Source126: resteasy-multipart-provider-3.0.19.SP4-redhat-1.jar
Source127: resteasy-multipart-provider-3.0.19.SP4-redhat-1.pom
Source128: resteasy-multipart-provider-3.0.19.SP4-redhat-1-sources.jar
Source129: resteasy-atom-provider-3.0.19.SP4-redhat-1.jar
Source130: resteasy-atom-provider-3.0.19.SP4-redhat-1-sources.jar
Source131: resteasy-atom-provider-3.0.19.SP4-redhat-1.pom
Source132: resteasy-undertow-3.0.19.SP4-redhat-1.jar
Source133: resteasy-undertow-3.0.19.SP4-redhat-1.pom
Source134: resteasy-undertow-3.0.19.SP4-redhat-1-sources.jar
Source135: resteasy-crypto-3.0.19.SP4-redhat-1.pom
Source136: resteasy-crypto-3.0.19.SP4-redhat-1-sources.jar
Source137: resteasy-crypto-3.0.19.SP4-redhat-1.jar
Source138: resteasy-fastinfoset-provider-3.0.19.SP4-redhat-1.jar
Source139: resteasy-fastinfoset-provider-3.0.19.SP4-redhat-1.pom
Source140: resteasy-fastinfoset-provider-3.0.19.SP4-redhat-1-sources.jar
Source141: resteasy-json-p-provider-3.0.19.SP4-redhat-1-sources.jar
Source142: resteasy-json-p-provider-3.0.19.SP4-redhat-1.pom
Source143: resteasy-json-p-provider-3.0.19.SP4-redhat-1.jar
Source144: resteasy-jaxrs-all-3.0.19.SP4-redhat-1.pom
Source145: resteasy-jdk-http-3.0.19.SP4-redhat-1-sources.jar
Source146: resteasy-jdk-http-3.0.19.SP4-redhat-1.pom
Source147: resteasy-jdk-http-3.0.19.SP4-redhat-1.jar
Source148: resteasy-bom-3.0.19.SP4-redhat-1.pom
Source149: resteasy-links-3.0.19.SP4-redhat-1-sources.jar
Source150: resteasy-links-3.0.19.SP4-redhat-1.pom
Source151: resteasy-links-3.0.19.SP4-redhat-1.jar
Source152: resteasy-jettison-provider-3.0.19.SP4-redhat-1-sources.jar
Source153: resteasy-jettison-provider-3.0.19.SP4-redhat-1.pom
Source154: resteasy-jettison-provider-3.0.19.SP4-redhat-1.jar
Source155: resteasy-test-data-3.0.19.SP4-redhat-1-sources.jar
Source156: resteasy-test-data-3.0.19.SP4-redhat-1.pom
Source157: resteasy-test-data-3.0.19.SP4-redhat-1.jar
Source158: resteasy-yaml-provider-3.0.19.SP4-redhat-1.pom
Source159: resteasy-yaml-provider-3.0.19.SP4-redhat-1-sources.jar
Source160: resteasy-yaml-provider-3.0.19.SP4-redhat-1.jar
Source161: http-adapter-pom-3.0.19.SP4-redhat-1.pom
Source162: resteasy-cache-core-3.0.19.SP4-redhat-1.jar
Source163: resteasy-cache-core-3.0.19.SP4-redhat-1-sources.jar
Source164: resteasy-cache-core-3.0.19.SP4-redhat-1.pom
Source165: resteasy-cdi-3.0.19.SP4-redhat-1.pom
Source166: resteasy-cdi-3.0.19.SP4-redhat-1.jar
Source167: resteasy-cdi-3.0.19.SP4-redhat-1-sources.jar
Source168: resteasy-guice-3.0.19.SP4-redhat-1-sources.jar
Source169: resteasy-guice-3.0.19.SP4-redhat-1.pom
Source170: resteasy-guice-3.0.19.SP4-redhat-1.jar
Source171: resteasy-netty4-cdi-3.0.19.SP4-redhat-1.pom
Source172: resteasy-netty4-cdi-3.0.19.SP4-redhat-1.jar
Source173: resteasy-netty4-cdi-3.0.19.SP4-redhat-1-sources.jar
Source174: resteasy-spring-3.0.19.SP4-redhat-1-sources.jar
Source175: resteasy-spring-3.0.19.SP4-redhat-1.jar
Source176: resteasy-spring-3.0.19.SP4-redhat-1.pom
Source177: resteasy-jackson-provider-3.0.19.SP4-redhat-1.pom
Source178: resteasy-jackson-provider-3.0.19.SP4-redhat-1.jar
Source179: resteasy-jackson-provider-3.0.19.SP4-redhat-1-sources.jar
Source180: providers-pom-3.0.19.SP4-redhat-1.pom
Source181: resteasy-client-3.0.19.SP4-redhat-1.jar
Source182: resteasy-client-3.0.19.SP4-redhat-1.pom
Source183: resteasy-client-3.0.19.SP4-redhat-1-sources.jar
Source184: resteasy-pom-3.0.19.SP4-redhat-1-project-sources.tar.gz
Source185: resteasy-pom-3.0.19.SP4-redhat-1.pom
Source186: resteasy-cache-pom-3.0.19.SP4-redhat-1.pom
Source187: security-pom-3.0.19.SP4-redhat-1.pom
Source188: resteasy-jaxrs-3.0.19.SP4-redhat-1-sources.jar
Source189: resteasy-jaxrs-3.0.19.SP4-redhat-1.jar
Source190: resteasy-jaxrs-3.0.19.SP4-redhat-1.pom
Source191: resteasy-jackson2-provider-3.0.19.SP4-redhat-1-sources.jar
Source192: resteasy-jackson2-provider-3.0.19.SP4-redhat-1.jar
Source193: resteasy-jackson2-provider-3.0.19.SP4-redhat-1.pom
Source194: resteasy-hibernatevalidator-provider-3.0.19.SP4-redhat-1-sources.jar
Source195: resteasy-hibernatevalidator-provider-3.0.19.SP4-redhat-1.pom
Source196: resteasy-hibernatevalidator-provider-3.0.19.SP4-redhat-1.jar
Source197: resteasy-netty-3.0.19.SP4-redhat-1.pom
Source198: resteasy-netty-3.0.19.SP4-redhat-1.jar
Source199: resteasy-netty-3.0.19.SP4-redhat-1-sources.jar
Source200: resteasy-servlet-initializer-3.0.19.SP4-redhat-1.jar
Source201: resteasy-servlet-initializer-3.0.19.SP4-redhat-1.pom
Source202: resteasy-servlet-initializer-3.0.19.SP4-redhat-1-sources.jar
Source203: async-http-servlet-3.0-3.0.19.SP4-redhat-1-sources.jar
Source204: async-http-servlet-3.0-3.0.19.SP4-redhat-1.jar
Source205: async-http-servlet-3.0-3.0.19.SP4-redhat-1.pom
Source206: asynch-http-servlet-3.0-pom-3.0.19.SP4-redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://rest-easy.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
RESTEasy is a client and server-side framework that helps you write and
integrate with RESTful web services.It is a fully certified and portable
implementation of the JAX-RS specification. JAX-RS is a new JCP specification
that provides a Java API for RESTful Web Services over the HTTP protocol.

%package async-http-servlet-3.0
Summary:        Async Http Servlet 3.0
Group:          Development/Java


%description async-http-servlet-3.0
%{summary}.

%package atom-provider
Summary:        Resteasy Atom Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}resteasy-jaxb-provider = %{epoch}:%{version}-%{release}

%description atom-provider
%{summary}.

%package cdi
Summary:        RESTEasy CDI integration module
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description cdi
%{summary}.

%package client
Summary:        RESTEasy JAX-RS Client
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description client
%{summary}.

%package crypto
Summary:        RESTEasy Crypto
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}resteasy-client = %{epoch}:%{version}-%{release}

%description crypto
%{summary}.

%package jackson-provider
Summary:        Resteasy Jackson Provider
Group:          Development/Java


%description jackson-provider
%{summary}.

%package jackson2-provider
Summary:        Resteasy Jackson Provider
Group:          Development/Java


%description jackson2-provider
%{summary}.

%package jaxb-provider
Summary:        Resteasy JAXB Provider
Group:          Development/Java


%description jaxb-provider
%{summary}.

%package jaxrs
Summary:        RESTEasy JAX-RS Implementation
Group:          Development/Java

Provides:       %{?scl_prefix}resteasy-core = %{epoch}:%{version}-%{release}

%description jaxrs
%{summary}.

%package jettison-provider
Summary:        Resteasy Jettison Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxb-provider = %{epoch}:%{version}-%{release}

%description jettison-provider
%{summary}.

%package jose-jwt
Summary:        Resteasy JOSE JWT
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jackson-provider = %{epoch}:%{version}-%{release}

%description jose-jwt
%{summary}.

%package jsapi
Summary:        RESTEasy JAX-RS JSAPI
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description jsapi
%{summary}.

%package json-p-provider
Summary:        Resteasy JSON-P EE7 Provider
Group:          Development/Java


%description json-p-provider
%{summary}.

%package multipart-provider
Summary:        Resteasy Multipart Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}resteasy-jaxb-provider = %{epoch}:%{version}-%{release}

%description multipart-provider
%{summary}.

%package spring
Summary:        Resteasy Spring integration
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description spring
%{summary}.

%package validator-provider-11
Summary:        Resteasy Validator Provider BV 1.1
Group:          Development/Java


%description validator-provider-11
%{summary}.

%package yaml-provider
Summary:        Resteasy YAML Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description yaml-provider
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for resteasy
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n resteasy -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/resteasy-jaxrs-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jaxrs-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jaxrs-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jaxrs-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jaxrs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jaxrs-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jaxb-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jaxb-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jaxb-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jaxb-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jaxb-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jaxb-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jettison-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jettison-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jettison-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jettison-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jettison-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jettison-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jackson-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jackson-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jackson-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jackson-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jackson-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jackson-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jackson2-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jackson2-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jackson2-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jackson2-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jackson2-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jackson2-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-atom-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-atom-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-atom-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-atom-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-atom-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-atom-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-multipart-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-multipart-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-multipart-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-multipart-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-multipart-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-multipart-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-validator-provider-11-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-validator-provider-11-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-validator-provider-11-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-validator-provider-11-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-validator-provider-11-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-validator-provider-11-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-yaml-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-yaml-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-yaml-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-yaml-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-yaml-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-yaml-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jsapi-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jsapi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jsapi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jsapi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jsapi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jsapi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-json-p-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-json-p-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-json-p-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-json-p-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-json-p-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-json-p-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-cdi-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-cdi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-cdi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-cdi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-cdi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-cdi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-client-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-crypto-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-crypto-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-crypto-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-crypto-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-crypto-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-crypto-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/async-http-servlet-3.0-%{namedversion}.jar %{buildroot}%{_javadir}/async-http-servlet-3.0-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/async-http-servlet-3.0-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/async-http-servlet-3.0-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/async-http-servlet-3.0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/async-http-servlet-3.0-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jose-jwt-%{namedversion}.jar %{buildroot}%{_javadir}/jose-jwt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jose-jwt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jose-jwt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jose-jwt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jose-jwt-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/resteasy-%{namedversion}
unzip -qq %{_sourcedir}/resteasy-jaxrs-all-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/resteasy-%{namedversion} -x META-INF/\*
%{__ln_s} resteasy-%{namedversion} %{buildroot}%{_javadocdir}/resteasy
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files async-http-servlet-3.0
%defattr(0644,root,root,0755)
%{_javadir}/async-http-servlet-3.0-%{namedversion}.jar
%{_javadir}/async-http-servlet-3.0.jar
%if %with javadoc
%{_javadir}/async-http-servlet-3.0-%{namedversion}-javadoc.jar
%{_javadir}/async-http-servlet-3.0-javadoc.jar
%endif
%{_javadir}/async-http-servlet-3.0-%{namedversion}-sources.jar
%{_javadir}/async-http-servlet-3.0-sources.jar

%files atom-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-atom-provider-%{namedversion}.jar
%{_javadir}/resteasy-atom-provider.jar
%if %with javadoc
%{_javadir}/resteasy-atom-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-atom-provider-javadoc.jar
%endif
%{_javadir}/resteasy-atom-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-atom-provider-sources.jar

%files cdi
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-cdi-%{namedversion}.jar
%{_javadir}/resteasy-cdi.jar
%if %with javadoc
%{_javadir}/resteasy-cdi-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-cdi-javadoc.jar
%endif
%{_javadir}/resteasy-cdi-%{namedversion}-sources.jar
%{_javadir}/resteasy-cdi-sources.jar

%files client
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-client-%{namedversion}.jar
%{_javadir}/resteasy-client.jar
%if %with javadoc
%{_javadir}/resteasy-client-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-client-javadoc.jar
%endif
%{_javadir}/resteasy-client-%{namedversion}-sources.jar
%{_javadir}/resteasy-client-sources.jar

%files crypto
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-crypto-%{namedversion}.jar
%{_javadir}/resteasy-crypto.jar
%if %with javadoc
%{_javadir}/resteasy-crypto-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-crypto-javadoc.jar
%endif
%{_javadir}/resteasy-crypto-%{namedversion}-sources.jar
%{_javadir}/resteasy-crypto-sources.jar

%files jackson-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jackson-provider-%{namedversion}.jar
%{_javadir}/resteasy-jackson-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jackson-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jackson-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jackson-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jackson-provider-sources.jar

%files jackson2-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jackson2-provider-%{namedversion}.jar
%{_javadir}/resteasy-jackson2-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jackson2-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jackson2-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jackson2-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jackson2-provider-sources.jar

%files jaxb-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jaxb-provider-%{namedversion}.jar
%{_javadir}/resteasy-jaxb-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jaxb-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jaxb-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jaxb-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jaxb-provider-sources.jar

%files jaxrs
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md README.md jaxrs/License.html jaxrs/README.html
%{_javadir}/resteasy-jaxrs-%{namedversion}.jar
%{_javadir}/resteasy-jaxrs.jar
%if %with javadoc
%{_javadir}/resteasy-jaxrs-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jaxrs-javadoc.jar
%endif
%{_javadir}/resteasy-jaxrs-%{namedversion}-sources.jar
%{_javadir}/resteasy-jaxrs-sources.jar

%files jettison-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jettison-provider-%{namedversion}.jar
%{_javadir}/resteasy-jettison-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jettison-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jettison-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jettison-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jettison-provider-sources.jar

%files jose-jwt
%defattr(0644,root,root,0755)
%{_javadir}/jose-jwt-%{namedversion}.jar
%{_javadir}/jose-jwt.jar
%if %with javadoc
%{_javadir}/jose-jwt-%{namedversion}-javadoc.jar
%{_javadir}/jose-jwt-javadoc.jar
%endif
%{_javadir}/jose-jwt-%{namedversion}-sources.jar
%{_javadir}/jose-jwt-sources.jar

%files jsapi
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jsapi-%{namedversion}-sources.jar
%{_javadir}/resteasy-jsapi-%{namedversion}.jar
%if %with javadoc
%{_javadir}/-%{namedversion}-javadoc.jar
%{_javadir}/-javadoc.jar
%endif
%{_javadir}/resteasy-jsapi-sources.jar
%{_javadir}/resteasy-jsapi.jar

%files json-p-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-json-p-provider-%{namedversion}.jar
%{_javadir}/resteasy-json-p-provider.jar
%if %with javadoc
%{_javadir}/resteasy-json-p-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-json-p-provider-javadoc.jar
%endif
%{_javadir}/resteasy-json-p-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-json-p-provider-sources.jar

%files multipart-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-multipart-provider-%{namedversion}.jar
%{_javadir}/resteasy-multipart-provider.jar
%if %with javadoc
%{_javadir}/resteasy-multipart-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-multipart-provider-javadoc.jar
%endif
%{_javadir}/resteasy-multipart-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-multipart-provider-sources.jar

%files spring
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-spring-%{namedversion}.jar
%{_javadir}/resteasy-spring.jar
%if %with javadoc
%{_javadir}/resteasy-spring-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-spring-javadoc.jar
%endif
%{_javadir}/resteasy-spring-%{namedversion}-sources.jar
%{_javadir}/resteasy-spring-sources.jar

%files validator-provider-11
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-validator-provider-11-%{namedversion}.jar
%{_javadir}/resteasy-validator-provider-11.jar
%if %with javadoc
%{_javadir}/resteasy-validator-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-validator-provider-javadoc.jar
%endif
%{_javadir}/resteasy-validator-provider-11-%{namedversion}-sources.jar
%{_javadir}/resteasy-validator-provider-11-sources.jar

%files yaml-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-yaml-provider-%{namedversion}.jar
%{_javadir}/resteasy-yaml-provider.jar
%if %with javadoc
%{_javadir}/resteasy-yaml-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-yaml-provider-javadoc.jar
%endif
%{_javadir}/resteasy-yaml-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-yaml-provider-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/resteasy-%{namedversion}
%{_javadocdir}/resteasy
%endif

%changelog
* Wed Jun 14 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.19-6.SP4_redhat_1.1
- Upgrade to 3.0.19.SP4

* Wed May 03 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.19-5.SP3_redhat_1.1
- Upgrade to 3.0.19.SP3

* Thu Mar 30 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.19-4.SP2_redhat_1.1
- Upgrade to 3.0.19.SP2

* Thu Jan 19 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.19-3.SP1_redhat_1.1
- Upgrade to 3.0.19.SP1

* Tue Nov 22 2016 Dustin Kut Moy Cheung <dcheung@redhat.com> - 3.0.19-2.Final_redhat_1.1
- Rebuild

* Wed Aug 10 2016 Petr Sakar <psakar@redhat.com> - 3.0.19-1.Final_redhat_1.1
- upgrade to 3.0.19.Final-redhat-1

* Wed Aug 03 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.18-1.Final_redhat_1.1
- Upgrade to 3.0.18.Final

* Fri May 20 2016 Petr Sakar <psakar@redhat.com> - 3.0.17-1.Final_redhat_1.1
- Upgrade to 3.0.17.Final-redhat-1

* Mon Feb 22 2016 Petr Sakar <psakar@redhat.com> - 3.0.16-1.Final_redhat_1.1
- upgrade to 3.0.16.Final-redhat-1

* Mon Dec 21 2015 Hui Wang <huwang@redhat.com> - 3.0.14-1.Final_redhat_1.1
- Upgrade to 3.0.14.Final-redhat-1

* Thu Nov 05 2015 David Walluck <dwalluck@redhat.com> - 3.0.13-2.Final_redhat_1.1
- add packages

* Tue Sep 29 2015 Hui Wang <huwang@redhat.com> - 3.0.13-1.Final_redhat_1.1
- Upgrade to 3.0.13.Final-redhat-1

* Tue Aug 11 2015 Hui Wang <huwang@redhat.com> - 3.0.12-1.Final_redhat_1.1
- Upgrade to 3.0.12.Final-redhat-1
